]> git.sur5r.net Git - bacula/bacula/commitdiff
Add makeall for release
authorKern Sibbald <kern@sibbald.com>
Sat, 17 Oct 2009 14:38:57 +0000 (16:38 +0200)
committerKern Sibbald <kern@sibbald.com>
Sat, 17 Oct 2009 14:38:57 +0000 (16:38 +0200)
bacula/release/makeall [new file with mode: 0755]

diff --git a/bacula/release/makeall b/bacula/release/makeall
new file mode 100755 (executable)
index 0000000..9756387
--- /dev/null
@@ -0,0 +1,30 @@
+#!/bin/sh
+#
+# Make full release
+#
+version=3.0.3
+#
+# Bacula git repos
+bacula=/home/kern/bacula/k
+docs=/home/kern/bacula/docs
+rescue=/home/kern/bacula/rescue
+
+./makeclean
+./makebacularel $bacula $version
+./makedocsrel $bacula $docs $version
+./makerescuerel $rescue $version
+./makewinrel $bacula $version | tee win$$.log
+
+grep -i warning win$$.log >/dev/null
+if [ $? -eq 0 ] ; then
+  echo " "
+  echo "Warnings in win$$.log"
+  exit 1
+fi
+grep -i error win$$.log >/dev/null
+if [ $? -eq 0 ] ; then
+  echo " "
+  echo "Errors in win$$.log"
+  exit 1
+fi
+rm -f win$$.log